/**
 * LM61CIZ Temperature sensor library
 *
 * @author Junichi Katsu
 * @version 1.0
 * @date 02-April-2015
 *
 */

#ifndef MBED_LM61CIZ_H
#define MBED_LM61CIZ_H

#include "mbed.h"

/** LM61CIZ class
 * @endcode
 */

class LM61CIZ {
public:
    /** Create a LM61CIZ instance
     *
     * param AnalogIn pin
     *
     */
    LM61CIZ(PinName ain);
    
    /** Read the current temperature value from LM61CIZ sensor
     *
     */
    float getTemperature(void);
private:
 
    AnalogIn _sensor;
};

#endif // MBED_LM61CIZ_H
 